# ASN.1 module VRU-Motorcyclist-Special-Container
 OID: _{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) ts(103300) motorcyclist-special-container(2) version1(1)}_

## Imports:
 * **[VAM-PDU-Descriptions](VAM-PDU-Descriptions.md)** *{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) ts(103300) vam(1) version1(1)}*<br/>

 * **[ITS-Container](ITS-Container.md)** *{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) ts(102894) cdd(2) version(2)}*<br/>

## Data Elements:
### <a name="MotorcylistSpecialContainer"></a>MotorcylistSpecialContainer

Fields:
* vruSubProfileMotorcyclist [**VruSubProfileMotorcyclist**](VAM-PDU-Descriptions.md#VruSubProfileMotorcyclist) <br>
* vruSizeClass [**VruSizeClass**](VAM-PDU-Descriptions.md#VruSizeClass) <br>
* rollAngle [**VruRollAngle**](VAM-PDU-Descriptions.md#VruRollAngle)  OPTIONAL<br>
* orientation [**VruOrientation**](VAM-PDU-Descriptions.md#VruOrientation)  OPTIONAL<br>
* vruSafeDistance [**SequenceOfVruSafeDistanceIndication**](VAM-PDU-Descriptions.md#SequenceOfVruSafeDistanceIndication)  OPTIONAL<br>
* pathPrediction [**SequenceOfVruPathPoint**](VAM-PDU-Descriptions.md#SequenceOfVruPathPoint)  OPTIONAL<br>
* stabilityChangeIndication [**StabilityChangeIndication**](VAM-PDU-Descriptions.md#StabilityChangeIndication)  OPTIONAL<br>
```asn1
MotorcylistSpecialContainer ::= SEQUENCE {
   vruSubProfileMotorcyclist   VruSubProfileMotorcyclist,
   vruSizeClass                VruSizeClass,
   rollAngle                   VruRollAngle OPTIONAL, 
   orientation                 VruOrientation OPTIONAL,
   vruSafeDistance             SequenceOfVruSafeDistanceIndication OPTIONAL,
   pathPrediction              SequenceOfVruPathPoint OPTIONAL,
   stabilityChangeIndication   StabilityChangeIndication OPTIONAL,
   ...
}
```



